release_repo_url: git@github.com:ros2-gbp/rosbag2-release
tracks:
  crystal:
    actions:
    - bloom-export-upstream :{vcs_local_uri} :{vcs_type} --tag :{release_tag} --display-uri
      :{vcs_uri} --name :{name} --output-dir :{archive_dir_path}
    - git-bloom-import-upstream :{archive_path} :{patches} --release-version :{version}
      --replace
    - git-bloom-generate -y rosrelease :{ros_distro} --source upstream -i :{release_inc}
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name ubuntu
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name debian --os-not-required
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc}
    devel_branch: crystal
    last_version: 0.0.7
    name: upstream
    patches: null
    release_inc: '0'
    release_repo_url: https://github.com/ros2-gbp/rosbag2-release.git
    release_tag: :{version}
    ros_distro: crystal
    vcs_type: git
    vcs_uri: https://github.com/ros2/rosbag2.git
    version: :{auto}
  dashing:
    actions:
    - bloom-export-upstream :{vcs_local_uri} :{vcs_type} --tag :{release_tag} --display-uri
      :{vcs_uri} --name :{name} --output-dir :{archive_dir_path}
    - git-bloom-import-upstream :{archive_path} :{patches} --release-version :{version}
      --replace
    - git-bloom-generate -y rosrelease :{ros_distro} --source upstream -i :{release_inc}
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name ubuntu
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name debian --os-not-required
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc}
    devel_branch: dashing
    last_version: 0.1.8
    name: rosbag2
    patches: null
    release_inc: '1'
    release_repo_url: https://github.com/ros2-gbp/rosbag2-release.git
    release_tag: :{version}
    ros_distro: dashing
    vcs_type: git
    vcs_uri: https://github.com/ros2/rosbag2.git
    version: :{auto}
  eloquent:
    actions:
    - bloom-export-upstream :{vcs_local_uri} :{vcs_type} --tag :{release_tag} --display-uri
      :{vcs_uri} --name :{name} --output-dir :{archive_dir_path}
    - git-bloom-import-upstream :{archive_path} :{patches} --release-version :{version}
      --replace
    - git-bloom-generate -y rosrelease :{ros_distro} --source upstream -i :{release_inc}
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name ubuntu
    - git-bloom-generate -y rosdebian --prefix release/:{ros_distro} :{ros_distro}
      -i :{release_inc} --os-name debian --os-not-required
    - git-bloom-generate -y rosrpm --prefix release/:{ros_distro} :{ros_distro} -i
      :{release_inc}
    devel_branch: eloquent
    last_version: 0.2.4
    name: rosbag2
    patches: null
    release_inc: '1'
    release_repo_url: https://github.com/ros2-gbp/rosbag2-release.git
    release_tag: :{version}
    ros_distro: eloquent
    vcs_type: git
    vcs_uri: https://github.com/ros2/rosbag2.git
    version: :{auto}
